Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1055)
@@ -3324,8 +3362,8 @@
             G4cerr<<"***G4Q::HQ:tM="<<ctM<<totQC<<" => rPDG="<<rPDG<<"(rM="<<rMass
                   <<") + sPDG="<<sPDG<<"(sM="<<sMass<<")="<<sum<<G4endl;
-    	       throw G4QException("***G4Quasmon::HadrQuasm:K+ResNuc DecayIn2 didn't succeed");
-          }
-#ifdef debug
-	         G4cout<<"G4Q::HQ:===2.4===>HadrVec s="<<sPDG<<s4Mom<<",r="<<rPDG<<r4Mom<<G4endl;
+            throw G4QException("***G4Quasmon::HadrQuasm:K+ResNuc DecayIn2 didn't succeed");
+          }
+#ifdef debug
+          G4cout<<"G4Q::HQ:===2.4===>HadrVec s="<<sPDG<<s4Mom<<",r="<<rPDG<<r4Mom<<G4endl;
 #endif
           //@@CHECK CoulBar and may be evaporate instead
@@ -3337,69 +3375,69 @@
           qEnv=vacuum;
           return theQHadrons;                        // This is theLastDecay of the Quasmon
-		      }
+        }
         G4bool ffin=false;                           // Flag of FinalDecayInGamma+Residual
         if(quasM<rMass+sMass&&(sPDG==221||sPDG==331))// Change eta-Candidate or any to pi
-	       {
+        {
           sPDG = 111;
           sMass=mPi0;
-	       }
+        }
         else if(!sPDG)
-		      {
+        {
           if     (iniS<0&&iniQChg+iniQChg>=iniBN)    // Try to decay in K+
-		        {
+          {
             sPDG = 321;
             sMass= mK;
             G4QNucleus totQN(valQ+KpQC);             // Nucleus Residual after Kp sub.
             rPDG = totQN.GetPDG();
-		          rMass= totQN.GetMZNS();
-		        }
+            rMass= totQN.GetMZNS();
+          }
           else if(iniS<0)                            // Try to decay in K0
-		        {
+          {
             sPDG = 311;
             sMass= mK0;
             G4QNucleus totQN(valQ+K0QC);             // Nucleus Residual after K0 sub.
             rPDG = totQN.GetPDG();
-		          rMass= totQN.GetMZNS();
-		        }
+            rMass= totQN.GetMZNS();
+          }
           else if(iniQChg>iniBN-iniS)                // Try to decay in Pi+
-		        {
+          {
             sPDG = 211;
             sMass= mPi;
             G4QNucleus totQN(valQ-PiQC);             // Nucleus Residual after Pi+ sub.
             rPDG = totQN.GetPDG();
-		          rMass= totQN.GetMZNS();
-		        }
+            rMass= totQN.GetMZNS();
+          }
           else if(iniQChg<0)                         // Try to decay in Pi-
-		        {
+          {
             sPDG = -211;
             sMass= mPi;
             G4QNucleus totQN(valQ+PiQC);             // Nucleus Residual after Pi- sub.
             rPDG = totQN.GetPDG();
-		          rMass= totQN.GetMZNS();
-		        }
+            rMass= totQN.GetMZNS();
+          }
           else if(quasM>iniQM+mPi0)                  // Try to decay in Pi0
-		        {
+          {
             sPDG = 111;
             sMass= mPi0;
             rPDG = iniPDG;
-		          rMass= iniQM;
-		        }
-		        else                                       // Decay in gamma as a final decision
-		        {
+            rMass= iniQM;
+          }
+          else                                       // Decay in gamma as a final decision
+          {
             sPDG = 22;
             sMass= 0.;
             rPDG = iniPDG;
-		          rMass= iniQM;
-		        }
+            rMass= iniQM;
+          }
           ffin = true;
-		      }
-#ifdef debug
-	       G4cout<<"G4Q::HQ:MQ="<<q4Mom.m()<<"->sPDG="<<sPDG<<"(M="<<sMass<<") + rPDG="<<rPDG
+        }
+#ifdef debug
+        G4cout<<"G4Q::HQ:MQ="<<q4Mom.m()<<"->sPDG="<<sPDG<<"(M="<<sMass<<") + rPDG="<<rPDG
               <<"(M="<<rMass<<")"<<",S="<<rMass+sMass<<G4endl;
 #endif
         if(q4Mom.m()+.003<rMass+sMass)
-		      {
-#ifdef debug
-	         G4cerr<<"G4Q::HQ:***PANIC#3***tM="<<q4Mom.m()<<"<rM="<<rMass<<",sM="<<sMass
+        {
+#ifdef debug
+          G4cerr<<"G4Q::HQ:***PANIC#3***tM="<<q4Mom.m()<<"<rM="<<rMass<<",sM="<<sMass
                 <<",d="<<rMass+sMass-q4Mom.m()<<G4endl;
 #endif
@@ -3410,5 +3448,5 @@
           qEnv=theEnvironment;                       // Update the QEnvironment
           return theQHadrons;
-		      }
+        }
         G4double cqM=q4Mom.m();
         G4LorentzVector resQ4Mom(0.,0.,0.,rMass);    // 4-mom of residual Quasmon in CMS
@@ -3416,5 +3454,5 @@
         G4double sum=rMass+sMass;
         if(fabs(cqM-sum)<eps)
-		      {
+        {
           resQ4Mom=q4Mom*(rMass/sum);
           s4Mom=q4Mom*(sMass/sum);
@@ -3424,31 +3462,28 @@
           G4cerr<<"***G4Quasmon::HadronizeQuasmon: MQ="<<cqM<<"-> rPDG="<<rPDG<<", (M="
                 <<rMass<<") + sPDG="<<sPDG<<"(M="<<sMass<<")="<<sum<<G4endl;
-	         throw G4QException("G4Quasmon::HadronizeQuas:Quasm+Hadr DecayIn2 error");
-        }
-#ifdef debug
-	       G4cout<<"G4Q::HQ:Decay of Quasmon="<<q4Mom<<"->s="<<sPDG<<s4Mom<<"+R="<<resQ4Mom
+          throw G4QException("G4Quasmon::HadronizeQuas:Quasm+Hadr DecayIn2 error");
+        }
+#ifdef debug
+        G4cout<<"G4Q::HQ:Decay of Quasmon="<<q4Mom<<"->s="<<sPDG<<s4Mom<<"+R="<<resQ4Mom
               <<",f="<<ffin<<G4endl;
 #endif
         G4QHadron* candHadr = new G4QHadron(sPDG,s4Mom);// Creation Hadron for Candidate
         if(ffin)
-		      {
+        {
           //@@CHECK CoulBar and may be evaporate instead
           theQHadrons.push_back(candHadr);           // Fill the emergency PHOTON (del.eq.)
           G4QHadron* candHRes = new G4QHadron(rPDG,resQ4Mom);// Creation Hadron for QResid
           FillHadronVector(candHRes);                // Fill "new candHRes" (del.equiv.)
-#ifdef debug
-          G4cerr<<"---Warning---G4Q::HQ:EmergencyHd="<<sPDG<<",E="<<theEnvironment<<G4endl;
-#endif
           ClearQuasmon();                            // This Quasmon is done
           qEnv=theEnvironment;
           return theQHadrons;
-		      }
+        }
         else
-		      {
+        {
           G4QContent outQC = G4QPDGCode(sPDG).GetQuarkContent();
           G4int outChg     = outQC.GetCharge();
-          G4double outProb=1.;
+          G4double outProb = 1.;
           if(theEnvironment.GetPDG()>NUCPDG)
-										{
+          {
             G4int outBar   = outQC.GetBaryonNumber();
             G4double outCB = theEnvironment.CoulombBarrier(outChg,outBar);//ChrgIsNeglected
@@ -3478,8 +3513,8 @@
             delete candHadr;                         // As a result DoNothing
           }
-		      }
+        }
       }
       else                                           // ===>"HadronInNuclMedia or NuclCand"
-	     {
+      {
         // Now the CoulBar reflection should be taken into account
         G4QContent outQC = G4QPDGCode(sPDG).GetQuarkContent();
@@ -3523,14 +3558,14 @@
 #ifdef debug
           G4cout<<"G4Q::HQ:QuarkExchHadronizThroughCB Q="<<valQ<<",trQC="<<transQC<<G4endl;
-#endif	  
+#endif   
           sumL-=theEnvironment.Get4Momentum()+q4Mom+fr4Mom;
 #ifdef debug
           G4cout<<"G4Q::HQ:status=1,>>>>>>>>> NuclearMatter SUBCHECK >>>>>>"<<sumL<<G4endl;
-#endif	  
+#endif   
           status=1;                                  // Something was successfuly done
           phot4M=zeroLV;
           piF=false;
           gaF=false;
-	       }
+        }
         else
         {
@@ -3543,20 +3578,20 @@
             status=3;
             if(gaF)
-			         {
+            {
               phot4M=zeroLV;
               gaF=false;
             }
-		        //}
-		      }
-      }
-	   } // End of skip
+          //}
+        }
+      }
+    } // End of skip
     // === Check of boundary to escape not existing state of residual nucleus ===
     if(CheckGroundState())
-	   //if(CheckGroundState(true))
-	   {
+    //if(CheckGroundState(true))
+    {
       ClearQuasmon();                           // This Quasmon is done
       qEnv=theEnvironment;
       return theQHadrons;      
-	   }
+    }
     G4LorentzVector sumLor=theEnvironment.Get4Momentum()+q4Mom+check;
 #ifdef debug
@@ -3664,6 +3699,6 @@
 #endif
   if(thePDG>80000000 && (thePDG<90000000 || thePDG%1000>500 || thePDG%1000000>500000)
-	 && thePDG!=90002999 && thePDG!=89999003 && thePDG!=90003998 && thePDG!=89998004
-	 && thePDG!=90003999 && thePDG!=89999004 && thePDG!=90004998 && thePDG!=89998005)
+  && thePDG!=90002999 && thePDG!=89999003 && thePDG!=90003998 && thePDG!=89998004
+  && thePDG!=90003999 && thePDG!=89999004 && thePDG!=90004998 && thePDG!=89998005)
   { // Translation from CHIPS encoding to PDG encoding @@ change to NuclToHadr
     if     (thePDG==90999999) thePDG=-311;  // anti-K0 === Meson OCTET
@@ -3701,9 +3736,9 @@
     G4int h2PDG = h2QC.GetSPDGCode();        // PDGCode of the First Hadron
     if(!h1PDG || !h2PDG)
-	   {
+    {
       G4cerr<<"***FillHV:h1QC="<<h1QC<<"(PDG="<<h1PDG<<"),h2QC="<<h2QC<<"(PDG="<<h2PDG<<")"
             <<G4endl;
-	     throw G4QException("G4Quasmon::FillHadronVector: Cipolino cann't be defragmented");
-	   }
+      throw G4QException("G4Quasmon::FillHadronVector: Cipolino cann't be defragmented");
+    }
     G4QHadron* fHadr = new G4QHadron(h1PDG); // the First Hadron is created
     G4QHadron* sHadr = new G4QHadron(h2PDG); // the Second Hadron is created
@@ -3716,5 +3751,5 @@
       G4cerr<<"***G4Q::FillHadrV:ChipQC"<<chipQC<<":PDG1="<<h1PDG<<",PDG2="<<h2PDG<<G4endl;
       theQHadrons.push_back(qH);             // No decay (delete equivalent)
-	   }
+    }
     else
     {
@@ -3738,8 +3773,8 @@
     G4int    bA     =qNuc.GetA();            // A#of baryons in the Nucleus
 #ifdef pdebug
-	   G4cout<<"G4Quasm::FillHadrVect:Nucl="<<qNuc<<",nPDG="<<thePDG<<",GSM="<<GSMass<<G4endl;
+    G4cout<<"G4Quasm::FillHadrVect:Nucl="<<qNuc<<",nPDG="<<thePDG<<",GSM="<<GSMass<<G4endl;
 #endif
     if((nN<0||nZ<0||nS<0)&&bA>0)             // => "Anti-strangeness or ISOBAR" case
-	   {
+    {
       G4double m1=mPi;                       // Prototypes for the nZ<0 case
       G4int  PDG1=-211;
@@ -3765,5 +3800,5 @@
           PDG2=newN0.GetPDG();
         }
-	     }
+      }
       else if(nS>0&&nZ+nN>0)
       {
@@ -3784,12 +3819,12 @@
           m2         =newNp.GetMZNS();
         }
-	     }
+      }
       else if(nN<0)
-	     {
+      {
         PDG1       =211;
         G4QNucleus  newNpp(totQC-PiQC);
         PDG2       =newNpp.GetPDG();
         m2         =newNpp.GetMZNS();
-	     }
+      }
       if(fragMas>m1+m2)                      // => "can decay" case
       {
@@ -3797,9 +3832,9 @@
         G4LorentzVector qe4M(0.,0.,0.,m2);
         if(!qH->DecayIn2(fq4M,qe4M))
-	       {
+        {
           G4cerr<<"***G4Quasm::FillHadrV: QM="<<t.m()<<"-> Mes="<<PDG1<<"(M="
-	  	        <<m1<<") + ResA="<<PDG2<<"(M="<<m2<<")"<<G4endl;
-	         throw G4QException("G4Quasm::FillHadrV: Mes+ResA DecayIn2 did not succeed");
-	       }
+            <<m1<<") + ResA="<<PDG2<<"(M="<<m2<<")"<<G4endl;
+          throw G4QException("G4Quasm::FillHadrV: Mes+ResA DecayIn2 did not succeed");
+        }
         delete qH;
         G4QHadron* H1 = new G4QHadron(PDG1,fq4M);
@@ -3807,7 +3842,7 @@
         G4QHadron* H2 = new G4QHadron(PDG2,qe4M);
         FillHadronVector(H2);                // (delete equivalent)
-	     }
+      }
       else if(fabs(m1+m2-fragMas)<0.01)      // Split the 4-momentum
-	     {
+      {
         G4double r1=m1/fragMas;
         G4double r2=1.-r1;
@@ -3821,24 +3856,24 @@
         G4QHadron* H2 = new G4QHadron(PDG2,r2*t);
         FillHadronVector(H2);                  // (delete equivalent)
-	     }
+      }
       else
-	     {
+      {
 #ifdef pdebug
         G4cerr<<"-Warning-G4Q::FillHVec:PDG="<<thePDG<<"("<<t.m()<<","<<fragMas<<") < Mes="
               <<PDG1<<"("<<m1<<") + ResA="<<PDG2<<"("<<m2<<"), d="<<fragMas-m1-m2<<G4endl;
-	       //throw G4QException("G4Quasm::FillHadrVec: mass of decaying hadron is too small");
+        //throw G4QException("G4Quasm::FillHadrVec: mass of decaying hadron is too small");
 #endif
         theQHadrons.push_back(qH); // FillAsIs to correct later in G4QEnvironment (Warning)
-	     }
-	   }
+      }
+    }
     else if(abs(fragMas-GSMass)<.1)            // the Nucleus is too close the Ground State
     {
 #ifdef pdebug
-	     G4cout<<"G4Quasm::FillHadrVect: Ground state"<<G4endl;
+      G4cout<<"G4Quasm::FillHadrVect: Ground state"<<G4endl;
 #endif
       G4double nResM  =1000000.;               // Prototype of residualMass for the neutron
       G4int    nResPDG=0;                      // Prototype of PDGCode for the neutron
       if(nN>0&&bA>1)                           // It's nucleus and there is the neutron
-	     {
+      {
         G4QContent resQC=totQC-neutQC;
         G4QNucleus resN(resQC);                // Pseudo nucleus for the Residual Nucleus
@@ -3848,9 +3883,9 @@
         else if(nResPDG==91000000) nResM=mLamb;
         else nResM=resN.GetMZNS();             // min mass of the Residual Nucleus
-	     }
+      }
       G4double pResM  =1000000.;               // Prototype of residualMass for the proton
       G4int    pResPDG=0;                      // Prototype of PDGCode of the proton
       if(nZ>0&&bA>1)                           // It's nucleus and there is theroton
-	     {
+      {
         G4QContent resQC=totQC-protQC;
         G4QNucleus resN(resQC);                // Pseudo nucleus for the Residual Nucleus
@@ -3860,9 +3895,9 @@
         else if(pResPDG==91000000) pResM=mLamb;
         else pResM  =resN.GetMZNS();           // min mass of the Residual Nucleus
-	     }
+      }
       G4double lResM  =1000000.;               // Prototype of residualMass for the Lambda
       G4int    lResPDG=0;                      // Prototype of PDGCode of the Lambda
       if(nS>0&&bA>1)                           // It's nucleus and there is the Lambda
-	     {
+      {
         G4QContent resQC=totQC-lambQC;
         G4QNucleus resN(resQC);                // Pseudo nucleus for the Residual Nucleus
@@ -3872,5 +3907,5 @@
         else if(lResPDG==91000000) lResM=mLamb;
         else lResM  =resN.GetMZNS();           // min mass of the Residual Nucleus
-	     }
+      }
 #ifdef pdebug
       G4cout<<"G4Quasm::FillHadrVec:rP="<<pResPDG<<",rN="<<nResPDG<<",rL="<<lResPDG<<",nN="
@@ -3881,5 +3916,5 @@
            (bA > 1 && ( (nN > 0 && fragMas > nResM+mNeut) || 
                         (nZ > 0 && fragMas > pResM+mProt) || 
-			(nS > 0 && fragMas > lResM+mLamb) ) ) )
+   (nS > 0 && fragMas > lResM+mLamb) ) ) )
       {
         G4int barPDG = 90002002;
@@ -3888,36 +3923,36 @@
         G4double resM= mAlph;
 
-	if (fragMas > nResM+mNeut) {  // Can radiate a neutron (priority 1)
+ if (fragMas > nResM+mNeut) {  // Can radiate a neutron (priority 1)
           barPDG = 90000001;
           resPDG = nResPDG;
           barM= mNeut;
           resM= nResM;
-	}
-	else if(fragMas>pResM+mProt)  // Can radiate a proton (priority 2)
-	{
+ }
+ else if(fragMas>pResM+mProt)  // Can radiate a proton (priority 2)
+ {
           barPDG=90001000;
           resPDG=pResPDG;
           barM  =mProt;
           resM  =pResM;
-	}
-	else if(fragMas>lResM+mLamb)  // Can radiate a Lambda (priority 3)
-    	{
+ }
+ else if(fragMas>lResM+mLamb)  // Can radiate a Lambda (priority 3)
+     {
           barPDG=91000000;
           resPDG=lResPDG;
           barM  =mLamb;
           resM  =lResM;
-	}
+ }
         else if(thePDG!=90004004&&fragMas>GSMass)// If it's not Be8 decay in gamma
-	{
+ {
           barPDG=22;
           resPDG=thePDG;
           barM  =0.;
           resM  =pResM;
-	}
+ }
         else if(thePDG!=90004004)
-	{
+ {
           G4cerr<<"***G4Q::FillHadV:PDG="<<thePDG<<",M="<<fragMas<<"<GSM="<<GSMass<<G4endl;
           throw G4QException("***G4Quasmon::FillHadronVector: Below GSM but cann't decay");
-	}
+ }
 
         G4LorentzVector a4Mom(0.,0.,0.,barM);
@@ -3927,5 +3962,5 @@
           theQHadrons.push_back(qH);            // No decay (delete equivalent)
           G4cerr<<"---Warning---G4Q::FillHadronVector: Be8 decay did not succeed"<<G4endl;
-	       }
+        }
         else
         {
@@ -3940,27 +3975,29 @@
           FillHadronVector(HadrR);             // Fill 2nd Hadron (delete equivalent)
         }
-	     }
+      }
       else
       {
 #ifdef pdebug
-	       G4cout<<"G4Quasm::FillHadrVect: Leave as it is"<<G4endl;
+        G4cout<<"G4Quasm::FillHadrVect: Leave as it is"<<G4endl;
 #endif
         theQHadrons.push_back(qH);             // No decay  (delete equivalent)
-	     }
+      }
     }
     else if (fragMas<GSMass)
-	   {
+    {
       G4cerr<<"***G4Q::FillHV:M="<<fragMas<<">GSM="<<GSMass<<",d="<<fragMas-GSMass<<G4endl;
-      throw G4QException("***G4Quasmon::FillHadronVector:Mass is below theGroundStateVal");
-	   }
+      //throw G4QException("*G4Quasmon::FillHadronVector:Mass is below theGroundStateVal");
+      G4cout<<"***>>>G4Quasm::FillHadrVect: Leave as it is Instead of Exception"<<G4endl;
+      theQHadrons.push_back(qH);              // Fill As Is  (delete equivalent)
+    }
     else if (bA==1&&fragMas>GSMass)
-	   {
+    {
       G4int gamPDG=22;
       G4double gamM=0.;
       if(fragMas>mPi0+GSMass)
-	     {
+      {
         gamPDG=111;
         gamM=mPi0;
-	     }
+      }
       G4LorentzVector a4Mom(0.,0.,0.,gamM);
       G4LorentzVector b4Mom(0.,0.,0.,GSMass);
@@ -3969,5 +4006,5 @@
         theQHadrons.push_back(qH);         // No decay (delete equivalent)
         G4cerr<<"---Warning---G4Q::FillHadrVect:N*->gamma/pi0+N decay error"<<G4endl;
-	     }
+      }
       else
       {
@@ -3979,5 +4016,5 @@
     }
     else                                   // ===> Evaporation of excited system
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4Quasm::FillHadrVect:Evaporate "<<thePDG<<",tM="<<fragMas<<" > GS="<<GSMass
@@ -3987,12 +4024,12 @@
       G4QHadron* rHadron = new G4QHadron;
       if(!qNuc.EvaporateBaryon(bHadron,rHadron))
-	     {
+      {
         G4cerr<<"---Warning---G4Q::FillHV:Evaporate PDG="<<thePDG<<",M="<<fragMas<<G4endl;
         delete bHadron;
         delete rHadron;
         theQHadrons.push_back(qH);         // Fill hadron in the HadronVector as it is
-	     }
+      }
       else
-	     {
+      {
 #ifdef pdebug
         G4cout<<"G4Q::FlHV:Done,b="<<bHadron->GetQPDG()<<",r="<<rHadron->GetQPDG()<<G4endl;
@@ -4002,5 +4039,5 @@
         FillHadronVector(rHadron);          // Fill Residual Nucl. (delete equivalent)
       }
-	   }
+    }
   }
   else                                 // Try to decay the QHadron (delete equivalent)
@@ -4059,5 +4096,5 @@
     G4cerr<<"***G4Q::GetQPM: kMax="<<kMax<<", kMin="<<kMin<<", kLim="<<kLim<<", MQ="<<qMass
           <<", n="<<nOfQ<<G4endl;
-	   throw G4QException("G4Quasmon::GetQPartonMomentum: Can not generate quark-parton");   
+    throw G4QException("G4Quasmon::GetQPartonMomentum: Can not generate quark-parton");   
   }
 #ifdef pdebug
@@ -4076,5 +4113,5 @@
     if (kMax>=kLim) vRndm = vRndm*pow((1.-xMin),n)*(1.+n*xMin);   // "xMin - 1." Range 
     else
-	   {
+    {
       G4double xMax=kMax/kLim;
       G4double vRmin = pow((1.-xMin),n)*(1.+n*xMin);
@@ -4091,6 +4128,6 @@
   if (vRndm<=0. || vRndm>1.)
   {
-    //G4cout<<"-Warning-G4Quasmon::GetQPM: R="<<vRndm<<",kMi="<<kMin<<",kMa="<<kMax<<",kLi="
-    //      <<kLim<<G4endl;
+    //G4cout<<"-Warning-G4Quasmon::GetQPM: R="<<vRndm<<",kMi="<<kMin<<",kMa="<<kMax
+    //      <<",kLi="<<kLim<<G4endl;
     if(vRndm<=0.) vRndm=1.e-9;
     else if(vRndm>1.) vRndm=1.;
@@ -4128,5 +4165,5 @@
     G4double od = c - vRndm;   // the old Residual Difference
 #ifdef pdebug
-	   G4cout<<"G4Q::GetQPMom:>>>First x="<<x<<", n="<<n<<", f="<<f<<", d/R(first)="
+    G4cout<<"G4Q::GetQPMom:>>>First x="<<x<<", n="<<n<<", f="<<f<<", d/R(first)="
             <<od/vRndm<<G4endl;
 #endif
@@ -4134,5 +4171,5 @@
     if(nitMax>100)nitMax=100; // But it is limited by 100
     while( abs(d/vRndm) > 0.001 && it <= nitMax) // Solve the equation by Newton method
-	   {
+    {
       x  = x + f*od/(r*nx*(fn+1.)); // Calculate the new x value
       if(x<1.e-27) x=1.e-27;
@@ -4159,11 +4196,11 @@
       }
       else
-	     {
+      {
         if (f>1.0001&&f<27.) f=1.+(f-1.)*2; // Make a regular correction of OptStepFactor
         if (f<0.99999999999) f=1.+(1.-f)/2.;
         if (f>=27.) f=27.;
-	     }
-#ifdef pdebug
-	     G4cout<<"G4Q::GetQPMom: Iter#"<<it<<": (c="<<c<<" - R="<<vRndm<<")/R ="<<d/vRndm
+      }
+#ifdef pdebug
+      G4cout<<"G4Q::GetQPMom: Iter#"<<it<<": (c="<<c<<" - R="<<vRndm<<")/R ="<<d/vRndm
             <<", x="<<x<<", f="<<f<<G4endl;
 #endif
@@ -4178,5 +4215,5 @@
       ox = x;
       it++;
-	   }
+    }
 #ifdef pdebug
     if(it>nitMax) G4cout<<"G4Q::GetQPMom: a#of iterations > nitMax="<<nitMax<<G4endl;
@@ -4197,5 +4234,5 @@
   //  if (kMax>=kLim) vRndm = vRndm*pow((1.-xMin),n);   // Shrink to the "xMin - 1." Range 
   //  else
-	 //  {
+  //  {
   //    G4double xMax=kMax/kLim;          // Maximum value for "x"
   //    G4double vRmin = pow((1.-xMin),n); 
@@ -4290,5 +4327,5 @@
     if(asSea<sSea) sSea=asSea;
     if(sSea>nMaxStrangeSea) // @@@@@@@ Too many strange sea ??????
-	   {
+    {
 #ifdef pdebug
       G4cout<<"G4Q::Calc#ofQP:**Reduce** S="<<sSea<<",aS="<<asSea<<",maxS="<<nMaxStrangeSea
@@ -4299,5 +4336,5 @@
       valQ.DecAS(sSea);
       valQ.IncQAQ(sSea,0.); // Add notstrange sea ????????
-	   }
+    }
   }
   // @@ Chocolate rule --- Temporary (?)
@@ -4338,5 +4375,5 @@
     G4double   frM=cQPDG.GetMass();            // Vacuum mass of the candidate
     if(cPDG>80000000&&cPDG!=90000000)          // Modify Fragments toTakeIntoAccount CurNuc
-	   {
+    {
       if(totMass<tmpTM+frM)
       {
@@ -4346,5 +4383,5 @@
 #endif
         curCand->SetPossibility(false);
-	     }
+      }
       G4QNucleus cNuc(cPDG);                   // Fake nucleus for the Candidate
       G4int cP = cNuc.GetZ();                  // A#of protons in the Current Environment
@@ -4362,5 +4399,5 @@
         if(cP==eP&&cN==eN&&cL==eL)clME=cQPDG.GetMass();// The only notBoundCluster of Envir
         else                                   // Bound Cluster in the Environment
-		      {
+        {
           renvM = cQPDG.GetNuclMass(eP-cP,eN-cN,eL-cL); // Mass of residual for Environment
           clME  = envM-renvM;
@@ -4368,5 +4405,5 @@
         if(cP==tP&&cN==tN&&cL==tL)clMN=cQPDG.GetMass(); // The only NotBoundCluster of TotN
         else                                   // Bound Cluster in Total Nucleus
-		      {
+        {
           renvM = cQPDG.GetNuclMass(tP-cP,tN-cN,tL-cL); // TotalResidualNucleus Mass
           clMN   = totM-renvM;
@@ -4380,7 +4417,7 @@
               <<renvM<<G4endl;
 #endif
-	     }
+      }
       else curCand->SetParPossibility(false);
-	   } // @@ Modification of hadron masses in nuclear matter are not implemented yet
+    } // @@ Modification of hadron masses in nuclear matter are not implemented yet
   }
 } // End of "ModifyInMatterCandidates"
@@ -4450,5 +4487,6 @@
     G4double probability = 0.;
     G4double secondProbab = 0.;
-    if ( (aPDG > 80000000 && envA > 0) || aPDG < 80000000) {
+    if ( (aPDG > 80000000 && envA > 0) || aPDG < 80000000)
+    {
       G4int resPDG=0;
       G4double comb=0.;                       // Combinatorial factor for quark exchange
@@ -4471,12 +4509,12 @@
         cPDG==90000002||cPDG==90001001||cPDG==90001002||cPDG==90002001||cPDG==90002002;
       if(pPrint) G4cout<<"G4Q::CHP:==****==>>>c="<<cPDG<<",dUD="<<dUD<<",pos="<<pos<<",eA="
-                     <<envA<<",tM="<<totMass<<" > tmpTM+frM="<<tmpTM+frM<<G4endl;
-#endif
-	     //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<1)))// 1 ** never try
-	     if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<2)))//2 ***The best***
-	     //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<3))) // 3 *** good ***
-				  //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<4)))//4 almost the same
-				  //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000))) // no restrictions
-	     {
+                       <<envA<<",tM="<<totMass<<" > tmpTM+frM="<<tmpTM+frM<<G4endl;
+#endif
+      //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<1)))// 1 ** never try
+      if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<2)))//2 ***The best***
+      //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<3))) // 3 *** good ***
+      //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000&&dUD<4)))//4 almost the same
+      //if(pos&&(cPDG<80000000||(cPDG>80000000&&cPDG!=90000000))) // no restrictions
+      {
         G4QContent curQ = valQ;                 // Make current copy of theQuasmonQuarkCont
         G4int baryn= candQC.GetBaryonNumber();  // Baryon number of the Candidate
@@ -4505,12 +4543,12 @@
           G4int oQmin=0;                        // Returning from cluster quarks: d=0,u=1
           G4int oQmax=2;                        // 2 is bigger than u-quark (1, oq<2) @@ 3?
-		        if     (dofU<=nofD) iQmax=1;          // Too many Dquarks (in-Uquark is forbiden)
+          if     (dofU<=nofD) iQmax=1;          // Too many Dquarks (in-Uquark is forbiden)
           else if(dofD<=nofU) iQmin=1;          // Too many Uquarks (in-Dquark is forbiden)
           // @@ This is how netrons are increased for the pion capture at rest case @@
           if(piF)                             // force Pi- transfer its charge to a quark
-		        {
+          {
             iQmin=0;
             iQmax=1;
-		        }
+          }
 #ifdef pdebug
           if(pPrint)G4cout<<"G4Q::CHP:***!!!***>>F="<<cPDG<<",mF="<<frM<<",iq:"<<iQmin<<","
@@ -4518,5 +4556,5 @@
 #endif
           if(iQmax>iQmin) for(int iq=iQmin; iq<iQmax; iq++) // Entering (fromQuasmon) quark
-		        {
+          {
             G4double qFact=1.;
             //if(iq==1&&addPhoton>0.) qFact=4.; // @@ taftology
@@ -4527,5 +4565,5 @@
               if(pPrint) G4cout<<"G4Q::CHP:photon cap(gaF) is enhanced for Uquark"<<G4endl;
 #endif
-		          }
+            }
             G4double nqInQ=0.;                 // A#of quarks of this sort in a Quasmon
             if     (!iq)   nqInQ=valQ.GetD();
@@ -4538,10 +4576,10 @@
 #endif
             if(oQmax>oQmin) for(int oq=oQmin; oq<oQmax; oq++) // Exiting (to Quasmon) quark
-		          {
+            {
               G4int shift= cQPDG.GetRelCrossIndex(iq, oq);
               G4QContent ioQC=cQPDG.GetExQContent(iq, oq);
               G4QContent resQC=valQ+ioQC;         // Quark Content of the residual Quasmon
 #ifdef sdebug
-			           G4cout<<"G4Q::CHP:iq="<<iq<<",oq="<<oq<<",QC="<<ioQC<<",rQC="<<resQC<<G4endl;
+              G4cout<<"G4Q::CHP:iq="<<iq<<",oq="<<oq<<",QC="<<ioQC<<",rQC="<<resQC<<G4endl;
 #endif
               G4QPDGCode resQPDG(resQC);          // QPDG of the residual Quasmon
@@ -4559,28 +4597,26 @@
                        (resU+resS>resD+resD||resD+resS>resU+resU);
               //if(resQ>-2&&resPDG&&resPDG!=10&&!rI)// The Residual Quasmon is possible
-	      //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&!piF) // *** Never try this
-	      //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&(!piF||cPDG==90000001))
+              //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&!piF) // *** Never try this
+              //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&(!piF||cPDG==90000001))
               //G4cout<<"G4Q::CHP:PiF="<<piF<<G4endl;
               // The best:
-	      //if(resQ>-2 &&resPDG && resPDG!=10 && !rI && (!piF||piF && cPDG!=90001000 ))
-
-	      if (resQ > -2 && resPDG && resPDG != 10 && !rI && 
-                 (!piF || 
-		  (piF && 
-                   (cPDG != 90001000 || G4UniformRand() < .333333) && 
-                   cPDG != 90002001 && 
-                   cPDG != 90002002) ) )
-
-		//cPDG!=90001000||G4UniformRand()<.333333))
-		//(cPDG!=90001000||G4UniformRand()<.5)&&cPDG!=90002001&&cPDG!=90002002))
-		//cPDG!=90001000&&cPDG!=90002001&&cPDG!=90002002))
-		//-----------------------------------------------------------------
-			           //if(resQ>-2 && resPDG && resPDG!=10 && !rI && (!piF||piF&&baryn>1))
-			           //if(resQ>-2 && resPDG && resPDG!=10 && !rI) // baryons are too energetic
-			           //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&(!piF||baryn==1)) // bad
-	      {
+              //if(resQ>-2 &&resPDG && resPDG!=10 && !rI && (!piF||piF && cPDG!=90001000 ))
+              if (resQ > -2 && resPDG && resPDG != 10 && !rI && 
+                   (!piF || ( piF && (cPDG != 90001000 || G4UniformRand() < .333333) && 
+                              cPDG != 90002001 && cPDG != 90002002
+                            )
+                   )
+                 )
+              //cPDG!=90001000||G4UniformRand()<.333333))
+              //(cPDG!=90001000||G4UniformRand()<.5)&&cPDG!=90002001&&cPDG!=90002002))
+              //cPDG!=90001000&&cPDG!=90002001&&cPDG!=90002002))
+              //-----------------------------------------------------------------
+              //if(resQ>-2 && resPDG && resPDG!=10 && !rI && (!piF||piF&&baryn>1))
+              //if(resQ>-2 && resPDG && resPDG!=10 && !rI) // baryons are too energetic
+              //if(resQ>-2&&resPDG&&resPDG!=10&&!rI&&(!piF||baryn==1)) // bad
+              {
                 G4int is=index+shift;
                 if(shift!=7&&is<maxC)             // This quark exchange is possible
-			             {
+                {
                   G4QCandidate* parCand=theQCandidates[is];//Pointer to ParentClusterOfCand
                   G4QContent parQC = parCand->GetQC();     // QuarkCont of theParentCluster
